com.amazonaws.services.machinelearning.model

## Class GetEvaluationResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.machinelearning.model.GetEvaluationResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class GetEvaluationResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Represents the output of a `GetEvaluation` operation and describes an `Evaluation`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GetEvaluationResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`GetEvaluationResult` `clone()`
`boolean` `equals(Object obj)`
`Long` `getComputeTime()` The approximate CPU time in milliseconds that Amazon Machine Learning spent processing the `Evaluation`, normalized and scaled on computation resources.
`Date` `getCreatedAt()` The time that the `Evaluation` was created.
`String` `getCreatedByIamUser()` The AWS user account that invoked the evaluation.
`String` `getEvaluationDataSourceId()` The `DataSource` used for this evaluation.
`String` `getEvaluationId()` The evaluation ID which is same as the `EvaluationId` in the request.
`Date` `getFinishedAt()` The epoch time when Amazon Machine Learning marked the `Evaluation` as `COMPLETED` or `FAILED`.
`String` `getInputDataLocationS3()` The location of the data file or directory in Amazon Simple Storage Service (Amazon S3).
`Date` `getLastUpdatedAt()` The time of the most recent edit to the `Evaluation`.
`String` `getLogUri()` A link to the file that contains logs of the `CreateEvaluation` operation.
`String` `getMessage()` A description of the most recent details about evaluating the `MLModel`.
`String` `getMLModelId()` The ID of the `MLModel` that was the focus of the evaluation.
`String` `getName()` A user-supplied name or description of the `Evaluation`.
`PerformanceMetrics` `getPerformanceMetrics()` Measurements of how well the `MLModel` performed using observations referenced by the `DataSource`.
`Date` `getStartedAt()` The epoch time when Amazon Machine Learning marked the `Evaluation` as `INPROGRESS`.
`String` `getStatus()` The status of the evaluation.
`int` `hashCode()`
`void` `setComputeTime(Long computeTime)` The approximate CPU time in milliseconds that Amazon Machine Learning spent processing the `Evaluation`, normalized and scaled on computation resources.
`void` `setCreatedAt(Date createdAt)` The time that the `Evaluation` was created.
`void` `setCreatedByIamUser(String createdByIamUser)` The AWS user account that invoked the evaluation.
`void` `setEvaluationDataSourceId(String evaluationDataSourceId)` The `DataSource` used for this evaluation.
`void` `setEvaluationId(String evaluationId)` The evaluation ID which is same as the `EvaluationId` in the request.
`void` `setFinishedAt(Date finishedAt)` The epoch time when Amazon Machine Learning marked the `Evaluation` as `COMPLETED` or `FAILED`.
`void` `setInputDataLocationS3(String inputDataLocationS3)` The location of the data file or directory in Amazon Simple Storage Service (Amazon S3).
`void` `setLastUpdatedAt(Date lastUpdatedAt)` The time of the most recent edit to the `Evaluation`.
`void` `setLogUri(String logUri)` A link to the file that contains logs of the `CreateEvaluation` operation.
`void` `setMessage(String message)` A description of the most recent details about evaluating the `MLModel`.
`void` `setMLModelId(String mLModelId)` The ID of the `MLModel` that was the focus of the evaluation.
`void` `setName(String name)` A user-supplied name or description of the `Evaluation`.
`void` `setPerformanceMetrics(PerformanceMetrics performanceMetrics)` Measurements of how well the `MLModel` performed using observations referenced by the `DataSource`.
`void` `setStartedAt(Date startedAt)` The epoch time when Amazon Machine Learning marked the `Evaluation` as `INPROGRESS`.
`void` `setStatus(EntityStatus status)` The status of the evaluation.
`void` `setStatus(String status)` The status of the evaluation.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`GetEvaluationResult` `withComputeTime(Long computeTime)` The approximate CPU time in milliseconds that Amazon Machine Learning spent processing the `Evaluation`, normalized and scaled on computation resources.
`GetEvaluationResult` `withCreatedAt(Date createdAt)` The time that the `Evaluation` was created.
`GetEvaluationResult` `withCreatedByIamUser(String createdByIamUser)` The AWS user account that invoked the evaluation.
`GetEvaluationResult` `withEvaluationDataSourceId(String evaluationDataSourceId)` The `DataSource` used for this evaluation.
`GetEvaluationResult` `withEvaluationId(String evaluationId)` The evaluation ID which is same as the `EvaluationId` in the request.
`GetEvaluationResult` `withFinishedAt(Date finishedAt)` The epoch time when Amazon Machine Learning marked the `Evaluation` as `COMPLETED` or `FAILED`.
`GetEvaluationResult` `withInputDataLocationS3(String inputDataLocationS3)` The location of the data file or directory in Amazon Simple Storage Service (Amazon S3).
`GetEvaluationResult` `withLastUpdatedAt(Date lastUpdatedAt)` The time of the most recent edit to the `Evaluation`.
`GetEvaluationResult` `withLogUri(String logUri)` A link to the file that contains logs of the `CreateEvaluation` operation.
`GetEvaluationResult` `withMessage(String message)` A description of the most recent details about evaluating the `MLModel`.
`GetEvaluationResult` `withMLModelId(String mLModelId)` The ID of the `MLModel` that was the focus of the evaluation.
`GetEvaluationResult` `withName(String name)` A user-supplied name or description of the `Evaluation`.
`GetEvaluationResult` `withPerformanceMetrics(PerformanceMetrics performanceMetrics)` Measurements of how well the `MLModel` performed using observations referenced by the `DataSource`.
`GetEvaluationResult` `withStartedAt(Date startedAt)` The epoch time when Amazon Machine Learning marked the `Evaluation` as `INPROGRESS`.
`GetEvaluationResult` `withStatus(EntityStatus status)` The status of the evaluation.
`GetEvaluationResult` `withStatus(String status)` The status of the evaluation.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GetEvaluationResult

    public GetEvaluationResult()

### Method Detail

#### setEvaluationId

    public void setEvaluationId(String evaluationId)

The evaluation ID which is same as the `EvaluationId` in the request.

Parameters:
  `evaluationId` - The evaluation ID which is same as the `EvaluationId` in the request.

#### getEvaluationId

    public String getEvaluationId()

The evaluation ID which is same as the `EvaluationId` in the request.

Returns:
  The evaluation ID which is same as the `EvaluationId` in the request.

#### withEvaluationId

    public GetEvaluationResult withEvaluationId(String evaluationId)

The evaluation ID which is same as the `EvaluationId` in the request.

Parameters:
  `evaluationId` - The evaluation ID which is same as the `EvaluationId` in the request.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMLModelId

    public void setMLModelId(String mLModelId)

The ID of the `MLModel` that was the focus of the evaluation.

Parameters:
  `mLModelId` - The ID of the `MLModel` that was the focus of the evaluation.

#### getMLModelId

    public String getMLModelId()

The ID of the `MLModel` that was the focus of the evaluation.

Returns:
  The ID of the `MLModel` that was the focus of the evaluation.

#### withMLModelId

    public GetEvaluationResult withMLModelId(String mLModelId)

The ID of the `MLModel` that was the focus of the evaluation.

Parameters:
  `mLModelId` - The ID of the `MLModel` that was the focus of the evaluation.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setEvaluationDataSourceId

    public void setEvaluationDataSourceId(String evaluationDataSourceId)

The `DataSource` used for this evaluation.

Parameters:
  `evaluationDataSourceId` - The `DataSource` used for this evaluation.

#### getEvaluationDataSourceId

    public String getEvaluationDataSourceId()

The `DataSource` used for this evaluation.

Returns:
  The `DataSource` used for this evaluation.

#### withEvaluationDataSourceId

    public GetEvaluationResult withEvaluationDataSourceId(String evaluationDataSourceId)

The `DataSource` used for this evaluation.

Parameters:
  `evaluationDataSourceId` - The `DataSource` used for this evaluation.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setInputDataLocationS3

    public void setInputDataLocationS3(String inputDataLocationS3)

The location of the data file or directory in Amazon Simple Storage Service (Amazon S3).

Parameters:
  `inputDataLocationS3` - The location of the data file or directory in Amazon Simple Storage Service (Amazon S3).

#### getInputDataLocationS3

    public String getInputDataLocationS3()

The location of the data file or directory in Amazon Simple Storage Service (Amazon S3).

Returns:
  The location of the data file or directory in Amazon Simple Storage Service (Amazon S3).

#### withInputDataLocationS3

    public GetEvaluationResult withInputDataLocationS3(String inputDataLocationS3)

The location of the data file or directory in Amazon Simple Storage Service (Amazon S3).

Parameters:
  `inputDataLocationS3` - The location of the data file or directory in Amazon Simple Storage Service (Amazon S3).
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCreatedByIamUser

    public void setCreatedByIamUser(String createdByIamUser)

The AWS user account that invoked the evaluation. The account type can be either an AWS root account or an AWS Identity and Access Management (IAM) user account.

Parameters:
  `createdByIamUser` - The AWS user account that invoked the evaluation. The account type can be either an AWS root account or an AWS Identity and Access Management (IAM) user account.

#### getCreatedByIamUser

    public String getCreatedByIamUser()

The AWS user account that invoked the evaluation. The account type can be either an AWS root account or an AWS Identity and Access Management (IAM) user account.

Returns:
  The AWS user account that invoked the evaluation. The account type can be either an AWS root account or an AWS Identity and Access Management (IAM) user account.

#### withCreatedByIamUser

    public GetEvaluationResult withCreatedByIamUser(String createdByIamUser)

The AWS user account that invoked the evaluation. The account type can be either an AWS root account or an AWS Identity and Access Management (IAM) user account.

Parameters:
  `createdByIamUser` - The AWS user account that invoked the evaluation. The account type can be either an AWS root account or an AWS Identity and Access Management (IAM) user account.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCreatedAt

    public void setCreatedAt(Date createdAt)

The time that the `Evaluation` was created. The time is expressed in epoch time.

Parameters:
  `createdAt` - The time that the `Evaluation` was created. The time is expressed in epoch time.

#### getCreatedAt

    public Date getCreatedAt()

The time that the `Evaluation` was created. The time is expressed in epoch time.

Returns:
  The time that the `Evaluation` was created. The time is expressed in epoch time.

#### withCreatedAt

    public GetEvaluationResult withCreatedAt(Date createdAt)

The time that the `Evaluation` was created. The time is expressed in epoch time.

Parameters:
  `createdAt` - The time that the `Evaluation` was created. The time is expressed in epoch time.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLastUpdatedAt

    public void setLastUpdatedAt(Date lastUpdatedAt)

The time of the most recent edit to the `Evaluation`. The time is expressed in epoch time.

Parameters:
  `lastUpdatedAt` - The time of the most recent edit to the `Evaluation`. The time is expressed in epoch time.

#### getLastUpdatedAt

    public Date getLastUpdatedAt()

The time of the most recent edit to the `Evaluation`. The time is expressed in epoch time.

Returns:
  The time of the most recent edit to the `Evaluation`. The time is expressed in epoch time.

#### withLastUpdatedAt

    public GetEvaluationResult withLastUpdatedAt(Date lastUpdatedAt)

The time of the most recent edit to the `Evaluation`. The time is expressed in epoch time.

Parameters:
  `lastUpdatedAt` - The time of the most recent edit to the `Evaluation`. The time is expressed in epoch time.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setName

    public void setName(String name)

A user-supplied name or description of the `Evaluation`.

Parameters:
  `name` - A user-supplied name or description of the `Evaluation`.

#### getName

    public String getName()

A user-supplied name or description of the `Evaluation`.

Returns:
  A user-supplied name or description of the `Evaluation`.

#### withName

    public GetEvaluationResult withName(String name)

A user-supplied name or description of the `Evaluation`.

Parameters:
  `name` - A user-supplied name or description of the `Evaluation`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStatus

    public void setStatus(String status)

The status of the evaluation. This element can have one of the following values:

- `PENDING` - Amazon Machine Language (Amazon ML) submitted a request to evaluate an `MLModel`.
- `INPROGRESS` - The evaluation is underway.
- `FAILED` - The request to evaluate an `MLModel` did not run to completion. It is not usable.
- `COMPLETED` - The evaluation process completed successfully.
- `DELETED` - The `Evaluation` is marked as deleted. It is not usable.

Parameters:
  `status` - The status of the evaluation. This element can have one of the following values:
  - `PENDING` - Amazon Machine Language (Amazon ML) submitted a request to evaluate an `MLModel`.
  - `INPROGRESS` - The evaluation is underway.
  - `FAILED` - The request to evaluate an `MLModel` did not run to completion. It is not usable.
  - `COMPLETED` - The evaluation process completed successfully.
  - `DELETED` - The `Evaluation` is marked as deleted. It is not usable.
See Also:
  `EntityStatus`

#### getStatus

    public String getStatus()

The status of the evaluation. This element can have one of the following values:

- `PENDING` - Amazon Machine Language (Amazon ML) submitted a request to evaluate an `MLModel`.
- `INPROGRESS` - The evaluation is underway.
- `FAILED` - The request to evaluate an `MLModel` did not run to completion. It is not usable.
- `COMPLETED` - The evaluation process completed successfully.
- `DELETED` - The `Evaluation` is marked as deleted. It is not usable.

Returns:
  The status of the evaluation. This element can have one of the following values:
  - `PENDING` - Amazon Machine Language (Amazon ML) submitted a request to evaluate an `MLModel`.
  - `INPROGRESS` - The evaluation is underway.
  - `FAILED` - The request to evaluate an `MLModel` did not run to completion. It is not usable.
  - `COMPLETED` - The evaluation process completed successfully.
  - `DELETED` - The `Evaluation` is marked as deleted. It is not usable.
See Also:
  `EntityStatus`

#### withStatus

    public GetEvaluationResult withStatus(String status)

The status of the evaluation. This element can have one of the following values:

- `PENDING` - Amazon Machine Language (Amazon ML) submitted a request to evaluate an `MLModel`.
- `INPROGRESS` - The evaluation is underway.
- `FAILED` - The request to evaluate an `MLModel` did not run to completion. It is not usable.
- `COMPLETED` - The evaluation process completed successfully.
- `DELETED` - The `Evaluation` is marked as deleted. It is not usable.

Parameters:
  `status` - The status of the evaluation. This element can have one of the following values:
  - `PENDING` - Amazon Machine Language (Amazon ML) submitted a request to evaluate an `MLModel`.
  - `INPROGRESS` - The evaluation is underway.
  - `FAILED` - The request to evaluate an `MLModel` did not run to completion. It is not usable.
  - `COMPLETED` - The evaluation process completed successfully.
  - `DELETED` - The `Evaluation` is marked as deleted. It is not usable.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `EntityStatus`

#### setStatus

    public void setStatus(EntityStatus status)

The status of the evaluation. This element can have one of the following values:

- `PENDING` - Amazon Machine Language (Amazon ML) submitted a request to evaluate an `MLModel`.
- `INPROGRESS` - The evaluation is underway.
- `FAILED` - The request to evaluate an `MLModel` did not run to completion. It is not usable.
- `COMPLETED` - The evaluation process completed successfully.
- `DELETED` - The `Evaluation` is marked as deleted. It is not usable.

Parameters:
  `status` - The status of the evaluation. This element can have one of the following values:
  - `PENDING` - Amazon Machine Language (Amazon ML) submitted a request to evaluate an `MLModel`.
  - `INPROGRESS` - The evaluation is underway.
  - `FAILED` - The request to evaluate an `MLModel` did not run to completion. It is not usable.
  - `COMPLETED` - The evaluation process completed successfully.
  - `DELETED` - The `Evaluation` is marked as deleted. It is not usable.
See Also:
  `EntityStatus`

#### withStatus

    public GetEvaluationResult withStatus(EntityStatus status)

The status of the evaluation. This element can have one of the following values:

- `PENDING` - Amazon Machine Language (Amazon ML) submitted a request to evaluate an `MLModel`.
- `INPROGRESS` - The evaluation is underway.
- `FAILED` - The request to evaluate an `MLModel` did not run to completion. It is not usable.
- `COMPLETED` - The evaluation process completed successfully.
- `DELETED` - The `Evaluation` is marked as deleted. It is not usable.

Parameters:
  `status` - The status of the evaluation. This element can have one of the following values:
  - `PENDING` - Amazon Machine Language (Amazon ML) submitted a request to evaluate an `MLModel`.
  - `INPROGRESS` - The evaluation is underway.
  - `FAILED` - The request to evaluate an `MLModel` did not run to completion. It is not usable.
  - `COMPLETED` - The evaluation process completed successfully.
  - `DELETED` - The `Evaluation` is marked as deleted. It is not usable.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `EntityStatus`

#### setPerformanceMetrics

    public void setPerformanceMetrics(PerformanceMetrics performanceMetrics)

Measurements of how well the `MLModel` performed using observations referenced by the `DataSource`. One of the following metric is returned based on the type of the `MLModel`:

- BinaryAUC: A binary `MLModel` uses the Area Under the Curve (AUC) technique to measure performance.

- RegressionRMSE: A regression `MLModel` uses the Root Mean Square Error (RMSE) technique to measure performance. RMSE measures the difference between predicted and actual values for a single variable.

- MulticlassAvgFScore: A multiclass `MLModel` uses the F1 score technique to measure performance.

For more information about performance metrics, please see the Amazon Machine Learning Developer Guide.

Parameters:
  `performanceMetrics` - Measurements of how well the `MLModel` performed using observations referenced by the `DataSource`. One of the following metric is returned based on the type of the `MLModel`:

  - BinaryAUC: A binary `MLModel` uses the Area Under the Curve (AUC) technique to measure performance.

  - RegressionRMSE: A regression `MLModel` uses the Root Mean Square Error (RMSE) technique to measure performance. RMSE measures the difference between predicted and actual values for a single variable.

  - MulticlassAvgFScore: A multiclass `MLModel` uses the F1 score technique to measure performance.

  For more information about performance metrics, please see the Amazon Machine Learning Developer Guide.

#### getPerformanceMetrics

    public PerformanceMetrics getPerformanceMetrics()

Measurements of how well the `MLModel` performed using observations referenced by the `DataSource`. One of the following metric is returned based on the type of the `MLModel`:

- BinaryAUC: A binary `MLModel` uses the Area Under the Curve (AUC) technique to measure performance.

- RegressionRMSE: A regression `MLModel` uses the Root Mean Square Error (RMSE) technique to measure performance. RMSE measures the difference between predicted and actual values for a single variable.

- MulticlassAvgFScore: A multiclass `MLModel` uses the F1 score technique to measure performance.

For more information about performance metrics, please see the Amazon Machine Learning Developer Guide.

Returns:
  Measurements of how well the `MLModel` performed using observations referenced by the `DataSource`. One of the following metric is returned based on the type of the `MLModel`:

  - BinaryAUC: A binary `MLModel` uses the Area Under the Curve (AUC) technique to measure performance.

  - RegressionRMSE: A regression `MLModel` uses the Root Mean Square Error (RMSE) technique to measure performance. RMSE measures the difference between predicted and actual values for a single variable.

  - MulticlassAvgFScore: A multiclass `MLModel` uses the F1 score technique to measure performance.

  For more information about performance metrics, please see the Amazon Machine Learning Developer Guide.

#### withPerformanceMetrics

    public GetEvaluationResult withPerformanceMetrics(PerformanceMetrics performanceMetrics)

Measurements of how well the `MLModel` performed using observations referenced by the `DataSource`. One of the following metric is returned based on the type of the `MLModel`:

- BinaryAUC: A binary `MLModel` uses the Area Under the Curve (AUC) technique to measure performance.

- RegressionRMSE: A regression `MLModel` uses the Root Mean Square Error (RMSE) technique to measure performance. RMSE measures the difference between predicted and actual values for a single variable.

- MulticlassAvgFScore: A multiclass `MLModel` uses the F1 score technique to measure performance.

For more information about performance metrics, please see the Amazon Machine Learning Developer Guide.

Parameters:
  `performanceMetrics` - Measurements of how well the `MLModel` performed using observations referenced by the `DataSource`. One of the following metric is returned based on the type of the `MLModel`:

  - BinaryAUC: A binary `MLModel` uses the Area Under the Curve (AUC) technique to measure performance.

  - RegressionRMSE: A regression `MLModel` uses the Root Mean Square Error (RMSE) technique to measure performance. RMSE measures the difference between predicted and actual values for a single variable.

  - MulticlassAvgFScore: A multiclass `MLModel` uses the F1 score technique to measure performance.

  For more information about performance metrics, please see the Amazon Machine Learning Developer Guide.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLogUri

    public void setLogUri(String logUri)

A link to the file that contains logs of the `CreateEvaluation` operation.

Parameters:
  `logUri` - A link to the file that contains logs of the `CreateEvaluation` operation.

#### getLogUri

    public String getLogUri()

A link to the file that contains logs of the `CreateEvaluation` operation.

Returns:
  A link to the file that contains logs of the `CreateEvaluation` operation.

#### withLogUri

    public GetEvaluationResult withLogUri(String logUri)

A link to the file that contains logs of the `CreateEvaluation` operation.

Parameters:
  `logUri` - A link to the file that contains logs of the `CreateEvaluation` operation.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMessage

    public void setMessage(String message)

A description of the most recent details about evaluating the `MLModel`.

Parameters:
  `message` - A description of the most recent details about evaluating the `MLModel`.

#### getMessage

    public String getMessage()

A description of the most recent details about evaluating the `MLModel`.

Returns:
  A description of the most recent details about evaluating the `MLModel`.

#### withMessage

    public GetEvaluationResult withMessage(String message)

A description of the most recent details about evaluating the `MLModel`.

Parameters:
  `message` - A description of the most recent details about evaluating the `MLModel`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setComputeTime

    public void setComputeTime(Long computeTime)

The approximate CPU time in milliseconds that Amazon Machine Learning spent processing the `Evaluation`, normalized and scaled on computation resources. `ComputeTime` is only available if the `Evaluation` is in the `COMPLETED` state.

Parameters:
  `computeTime` - The approximate CPU time in milliseconds that Amazon Machine Learning spent processing the `Evaluation`, normalized and scaled on computation resources. `ComputeTime` is only available if the `Evaluation` is in the `COMPLETED` state.

#### getComputeTime

    public Long getComputeTime()

The approximate CPU time in milliseconds that Amazon Machine Learning spent processing the `Evaluation`, normalized and scaled on computation resources. `ComputeTime` is only available if the `Evaluation` is in the `COMPLETED` state.

Returns:
  The approximate CPU time in milliseconds that Amazon Machine Learning spent processing the `Evaluation`, normalized and scaled on computation resources. `ComputeTime` is only available if the `Evaluation` is in the `COMPLETED` state.

#### withComputeTime

    public GetEvaluationResult withComputeTime(Long computeTime)

The approximate CPU time in milliseconds that Amazon Machine Learning spent processing the `Evaluation`, normalized and scaled on computation resources. `ComputeTime` is only available if the `Evaluation` is in the `COMPLETED` state.

Parameters:
  `computeTime` - The approximate CPU time in milliseconds that Amazon Machine Learning spent processing the `Evaluation`, normalized and scaled on computation resources. `ComputeTime` is only available if the `Evaluation` is in the `COMPLETED` state.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setFinishedAt

    public void setFinishedAt(Date finishedAt)

The epoch time when Amazon Machine Learning marked the `Evaluation` as `COMPLETED` or `FAILED`. `FinishedAt` is only available when the `Evaluation` is in the `COMPLETED` or `FAILED` state.

Parameters:
  `finishedAt` - The epoch time when Amazon Machine Learning marked the `Evaluation` as `COMPLETED` or `FAILED`. `FinishedAt` is only available when the `Evaluation` is in the `COMPLETED` or `FAILED` state.

#### getFinishedAt

    public Date getFinishedAt()

The epoch time when Amazon Machine Learning marked the `Evaluation` as `COMPLETED` or `FAILED`. `FinishedAt` is only available when the `Evaluation` is in the `COMPLETED` or `FAILED` state.

Returns:
  The epoch time when Amazon Machine Learning marked the `Evaluation` as `COMPLETED` or `FAILED`. `FinishedAt` is only available when the `Evaluation` is in the `COMPLETED` or `FAILED` state.

#### withFinishedAt

    public GetEvaluationResult withFinishedAt(Date finishedAt)

The epoch time when Amazon Machine Learning marked the `Evaluation` as `COMPLETED` or `FAILED`. `FinishedAt` is only available when the `Evaluation` is in the `COMPLETED` or `FAILED` state.

Parameters:
  `finishedAt` - The epoch time when Amazon Machine Learning marked the `Evaluation` as `COMPLETED` or `FAILED`. `FinishedAt` is only available when the `Evaluation` is in the `COMPLETED` or `FAILED` state.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStartedAt

    public void setStartedAt(Date startedAt)

The epoch time when Amazon Machine Learning marked the `Evaluation` as `INPROGRESS`. `StartedAt` isn't available if the `Evaluation` is in the `PENDING` state.

Parameters:
  `startedAt` - The epoch time when Amazon Machine Learning marked the `Evaluation` as `INPROGRESS`. `StartedAt` isn't available if the `Evaluation` is in the `PENDING` state.

#### getStartedAt

    public Date getStartedAt()

The epoch time when Amazon Machine Learning marked the `Evaluation` as `INPROGRESS`. `StartedAt` isn't available if the `Evaluation` is in the `PENDING` state.

Returns:
  The epoch time when Amazon Machine Learning marked the `Evaluation` as `INPROGRESS` . `StartedAt` isn't available if the `Evaluation` is in the `PENDING` state.

#### withStartedAt

    public GetEvaluationResult withStartedAt(Date startedAt)

The epoch time when Amazon Machine Learning marked the `Evaluation` as `INPROGRESS`. `StartedAt` isn't available if the `Evaluation` is in the `PENDING` state.

Parameters:
  `startedAt` - The epoch time when Amazon Machine Learning marked the `Evaluation` as `INPROGRESS`. `StartedAt` isn't available if the `Evaluation` is in the `PENDING` state.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public GetEvaluationResult clone()

Overrides:
  `clone` in class `Object`